//	Microworks ObjectMate  2.6
//
//  "SFX Class Library"
//
//	An ObjectWindows 2.0 extension for Borland C++ 4.0
//
//	Copyright 1992-94 Microworks Sydney, Australia.
//
//  SMDI.H

#if !defined(__SFX_SMDI_H)
#define __SFX_SMDI_H

#if !defined(__OWL_MDI_H)
  #include <owl\mdi.h>
#endif

class _OWLCLASS TSFXMDIFrame;

//  class TSFXMDIClient

class _OWLCLASS TSFXMDIClient : virtual public TMDIClient
{
  public:
	TSFXMDIClient(BOOL sfxClient = FALSE, TModule* module = 0);

  protected:
	char far* GetClassName();

  private:
	BOOL IsSFXClient;
	friend class TSFXMDIFrame;

  DECLARE_RESPONSE_TABLE(TSFXMDIClient);
  DECLARE_STREAMABLE(_OWLCLASS, TSFXMDIClient, 1);
};	//	end of TSFXMDIClient class

//	class TSFXMDIFrame

class _OWLCLASS TSFXMDIFrame : virtual public TMDIFrame
{
  public:
	TSFXMDIFrame(const char far* title,
				 TResId          menuResId,
				 TMDIClient&     clientWnd = *new TSFXMDIClient,
				 BOOL            sfxFrame = FALSE,
				 BOOL            sfxCaption = FALSE,
				 TModule*        module = 0);

  protected:
	//	call SFXDefFrameProc() instead of DefFrameProc()
	LRESULT           DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);

  DECLARE_RESPONSE_TABLE(TSFXMDIFrame);
  DECLARE_STREAMABLE(_OWLCLASS, TSFXMDIFrame, 1);
};	//	end of TSFXMDIFrame class

#endif  // __SFX_SMDI_H
